require 'securerandom'

module Crusade
  module APNS
    class UserTokenGenerator
      def initialize(user_id)
        self.user_id = String(user_id)
      end

      def generate
        Digest::SHA1.hexdigest("#{salt}--#{user_id}")
      end

      private

      attr_accessor :user_id

      def salt
        SecureRandom.hex(16)
      end
    end
  end
end